import es, cfglib, random, playerlib, gamethread

config = cfglib.AddonCFG(es.getAddonPath("sic-random") + "/sic-random.cfg")
config.text("********************")
config.text("   RaNDoM Weapons   ")
config.text("********************")
random_weapons  = config.cvar('random_weapons', 1, 'Give players Random Weapons')
config.text("\n")
config.text("************************")
config.text(" Random Weapons Options ")
config.text("************************")
rand_primary = config.cvar("primary_names",     "M4A1 AK47 AWP Scout SG552 Galil Famas SG550 AUG m249 G3SG1 UMP45 MP5NAVY M3 xm1014 TMP Mac10 P90", "Priamry weapons")
rand_secondary = config.cvar("rand_secondary",   "Usp Glock Deagle P228 Elite FiveSeven", "Pistol weapons")
remove_objectives = config.cvar('remove_objectives', 1, 'Removes objectives')
remove_buyzone = config.cvar('remove_buyzone', 0, 'Removes buyzone')
config.text("\n")

config.write()

# ======================#
#               PUBLIC                   
# ======================#
info = es.AddonInfo()
info.name     = "sic-random"
info.version  = "0.1"
info.url      = "None"
info.basename = "sic_random"
info.author   = "sicman_adrian"
es.ServerVar('sic_random', info.version, 'RaNDoM Weapons').makepublic()

def load():
    config.execute()
    msg('Loaded')

def msg(text):
    es.msg('#multi', '#green[RaNDoM Weapons]#lightgreen ' + text)

def round_start(ev):
    userid = es.getuserid()
    if remove_objectives == 1:
        if userid:
            es.server.queuecmd('es_xfire %s hostage_entity kill' % userid)
            es.server.queuecmd('es_xfire %s func_hostage_rescue kill' % userid)
    if remove_buyzone == 1:
        if userid:
            es.server.queuecmd('es_xfire %s func_buyzone kill'% userid)

def player_spawn(ev):
    userid = ev['userid']
    if not playerlib.getPlayer(userid).attributes['isdead']:
        stripplayer(userid)
        gamethread.delayed(0.1, es.server.queuecmd, 'es_xgive %s weapon_%s' % (userid, random.choice(str(rand_primary).split())))
        gamethread.delayed(0.1, es.server.queuecmd, 'es_xgive %s weapon_%s' % (userid, random.choice(str(rand_secondary).split())))

def stripplayer(userid):
    es.server.queuecmd('es_xfire %s player_weaponstrip kill' % userid)
    es.server.queuecmd('es_xgive %s player_weaponstrip' % userid)
    es.server.queuecmd('es_xfire %s player_weaponstrip strip' % userid)
    gamethread.delayed(0.1, es.server.queuecmd, 'es_xgive %s weapon_knife' % userid)